#!/usr/bin/perl

#############################################################
# Multiadministration										#
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Autor: Helmut Walter 										#
# E-Mail: webmaster@inspire-net.de							#
# Webseite: http://www.inspire-world.de						#
#############################################################

use CGI::Carp qw(fatalsToBrowser);
# Dateiflock
use Fcntl qw(:DEFAULT :flock);
use CGI qw(:standard);
$| = 1;
$progname = "admin.pl";

require "admin/lib_design.pl";
require "admin/lib_general.pl";
require "admin/setup.pl";

&copyright($clink);

require "admin/adminfile.pl"; 


&formparser();
&aup();


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Aufrufparameter der Hauptroutinen
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Login
if ($FORM{'aktion'} eq ""){ &administratorlogin }
elsif ($FORM{'aktion'} eq "logincheck") { &logincheck; }
# Erstes Hauptmenue	
elsif ($FORM{'aktion'} eq "hauptmenue")	{ &hauptmenue; }
# Systemdaten anpassen	
elsif ($FORM{'aktion'} eq "systemdaten") { &systemdaten; }
# Systemdaten speichern	
elsif ($FORM{'aktion'} eq "systemdaten_save") { &systemdaten_save; }
# Adminpasswort aendern
elsif ($FORM{'aktion'} eq "admindaten") { &admindaten;}
# Adminpasswort speichern
elsif ($FORM{'aktion'} eq "admindaten_save") { &admindaten_save;}
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Aufrufparameter der Unterroutinen
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
######### Userverwaltung ####################################
# Userhauptverwaltung aufrufen
elsif ($FORM{'aktion'} eq "userverwaltung") {
require("admin/verw_user.pl");
&userverwaltung;
}

# Abfrage User wirklich loeschen
elsif ($FORM{'aktion'} eq "userdelete") {
require("admin/verw_user.pl");
&userdelete;
}

# User loeschen ausfuehren
elsif ($FORM{'aktion'} eq "userdelete_ok") {
require("admin/verw_user.pl");
&userdelete_ok;
}

# E-Mail an einzelnen User verfassen
elsif ($FORM{'aktion'} eq "usermail") {
require("admin/verw_user.pl");
&usermail;
}

# E-Mail an einzelnen User senden
elsif ($FORM{'aktion'} eq "usermail_senden") {
require("admin/verw_user.pl");
&usermail_senden;
}

# User einzeln anzeigen
elsif ($FORM{'aktion'} eq "suchen") {
require("admin/verw_user.pl");
&suchen;
}

# Newsletter verfassen
elsif ($FORM{'aktion'} eq "newsletter") {
require("admin/verw_newsletter.pl");
&newsletter;
}

# Newslettertext speichern
elsif ($FORM{'aktion'} eq "newsletter_save") {
require("admin/verw_newsletter.pl");
&newsletter_save;
}

# Newslettertext senden
elsif ($FORM{'aktion'} eq "newsletter_senden") {
require("admin/verw_newsletter.pl");
&newsletter_senden;
}
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Admin Login
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub administratorlogin {


$adminu = cookie("nameMulticounterlogin");
$adminp = cookie("passwortMulticounterlogin");

$sektion = "Administration Login";
&adminheader;



print qq~
<form method="post" action="$progname">
<input type="hidden" name="aktion" value="logincheck">

<div align="center">
<table width="600" border="0" class="tabledes">
<tr>
    <td class="tdt" colspan="2">Administratorlogin</td>
</tr>
<tr>
    <td class="tdc" width="50%"><b>Admin Username</b></td>
    <td class="tdc" width="50%"><input class="mb" style="width: 160px;" type="text" name="adminuser" size="20" value="$adminu"></td>
</tr>
<tr>
    <td class="tdc"><b>Admin Passwort</b></td>
    <td class="tdc"><input class="mb" style="width: 160px;" type="password" name="adminpasswort" size="20" value="$adminp"></td>
</tr>
<tr>
    
    <td class="tdc" colspan="2"><b>Hinweis!</b><br>
	Bitte sicherstellen das der Browser Cookies akzeptiert, ansonsten ist kein Login m&ouml;glich.
	</td>
</tr>
<tr>
    <td class="tdc" colspan="2" align="center"><input class="button" type="submit" value="&#187; Login &#171;"></td>
</tr>
<tr>
    <td class="tdt" colspan="2" align="center">$clink</td>
</tr>
</table>
</div>

</form>
~;

&adminfooter;

}
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Logincheck nach Login
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub logincheck {

&login_ok;

if (($FORM{'adminuser'} eq $adminuser) && ($FORM{'adminpasswort'} eq $adminpasswort)) {

print "Set-Cookie: nameMulticounterlogin=$FORM{'adminuser'}; expires=Mon, 1-Jan-2030 00:00:00 GMT\n";
print "Set-Cookie: passwortMulticounterlogin=$FORM{'adminpasswort'}; expires=Mon, 1-Jan-2030 00:00:00 GMT\n";

$salt = "zn";
$crypteduser = crypt($adminuser, $salt);
$cryptedpass = crypt($adminpasswort, $salt);

print "Set-Cookie: nameMulticounter=$crypteduser; expires=Mon, 1-Jan-2030 00:00:00 GMT \n";
print "Set-Cookie: passwortMulticounter=$cryptedpass; expires=Mon, 1-Jan-2030 00:00:00 GMT \n";	

print "Location: $progname?aktion=hauptmenue \n\n";
} else {
&administratorlogin;
exit;
}
}  
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Startbildschirm nach Login
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub hauptmenue {

&cryptlogin_ok;

$sektion = "Administration Hauptmen&uuml;";
&adminheader;
&topnav;

print qq~
<form action="$progname" method="POST">
<input type=hidden name="adminuser" value="$FORM{'adminuser'}">
<input type=hidden name="adminpasswort" value="$FORM{'adminpasswort'}">

	
<div align="center">
<table width="90%" border="0" class="tabledes">
<tr>
    <td class="tdt" colspan="2">Hauptauswahlmen&uuml;</td>
</tr>
<tr>
<td class="tdc" colspan="2" align="center">
<!-- Hauptauswahlmenue -->

<table border="0" width="100%" class="mt" cellpadding="0" cellspacing="0">
<tr>
    <td class="mtd"><input type="radio" value="systemdaten" name="aktion" checked></td>
    <td class="mtd"><b>Systemdaten bearbeiten</b><br>
Hier finden Sie die Einstellm&ouml;glichkeiten zum &auml;ndern verschiedener Systemparameter</td>
</tr>
<tr>
    <td class="mtd"><input type="radio" value="admindaten" name="aktion"></td>
    <td class="mtd"><b>Administrator Daten &auml;ndern</b><br>
Hier k&ouml;nnen Sie den Administrator Usernamen und das Passwort &auml;ndern.</td>
</tr>
<tr>
    <td class="mtd"><input type="radio" value="userverwaltung" name="aktion"></td>
    <td class="mtd"><b>Benutzerverwaltung</b><br>
W&auml;hlen Sie dies um in ein Men&uuml; zu gelangen in dem Sie die registrieren Benutzer verwalten k&ouml;nnen. Dies beinhaltet das l&ouml;schen, anschreiben per E-Mail,und Werbefreischaltungen</td>
</tr>
<tr>
    <td class="mtd"><input type="radio" value="newsletter" name="aktion"></td>
    <td class="mtd"><b>Newsletter senden</b><br>
W&auml;hlen Sie dies um in ein Men&uuml; zu gelangen in dem Sie allen Benutzern einen Newsletter senden k&ouml;nnen</td>
</tr>
</table>

<!-- Hauptauswahlmenue -->
</td>
</tr>
<tr>
<td class="tdc" colspan="2"><input type="submit" class="button" value="Ausf&uuml;hren" name="submit"></td>
</tr></form>
<tr>
    <td class="tdt" colspan="2" align="center">$clink</td>
</tr>
</table>
</div>

</form>
~;
&adminfooter;
}



# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Systemdaten Einstellungen
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub systemdaten {


&cryptlogin_ok;

$sektion = "Administration Systemdaten";
&adminheader;
&topnav;

$tempoutput1 = "<select name=\"unused\" class=\"mb\" style=\"width: 200px;\" size=\"1\"><option value=\"2592000\">30 Tage</option><option value=\"3456000\">40 Tage</option><option value=\"4320000\">50 Tage</option></select>\n";
$tempoutput1 =~ s/value=\"$unused\"/value=\"$unused\" selected/;

print qq~
<div align="center">
<form action="$progname" method="POST">
<input type=hidden name="aktion" value="systemdaten_save">

<div align="center">
<table width="90%" border="0" class="tabledes">
<tr>
    <td class="tdt">Systemdaten editieren</td>
</tr>
<tr>
<td class="tdc" align="center">
<!-- Hauptauswahlmenue -->

<table width="100%" cellspacing="0" cellpadding="0" border="0" class="mt">
<tr>
    <td class="mtdh"><b>Hier k&ouml;nnen Sie die wichtigsten Systemparameter einstellen.</b></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Pfad zum Sendmailprogramm</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="mailprog" value="$mailprog"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Webmaster E-Mail Adresse</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="webmastermail" value="$webmastermail"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Betreiber/Administrator Name</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="webmastername" value="$webmastername"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>An welche URL soll der User geleitet werden nach Anmeldung?</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="returnurl" value="$returnurl"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Die URL zum CSS Stylesheet</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="cssurl" value="$cssurl"></td>
</tr>
<tr>
<td class="mtdh"><b>Useradministrations URL</b></td>
</tr>
<tr>
<td class="mtd"><input class="mb" style="width: 400px;" size="30" type="Text" name="serviceurl" value="$serviceurl"></td>
</tr>
<tr>
<td class="mtdh"><b>URL zur Counterdatei</b></td>
</tr>
<tr>
<td class="mtd"><input class="mb" style="width: 400px;" size="30" type="Text" name="counterurl" value="$counterurl"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Serverurl zum Bilderverzeichnis</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="picurl" value="$picurl"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Serverpfad zum Bilderverzeichnis</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 400px;" size="30" type="Text" name="picpfad" value="$picpfad"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Wieviele Eintr&auml;ge pro Seite in der Admin anzeigen?</b></td>
</tr>
<tr>
<td class="mtd" colspan="2"><input class="mb" style="width: 30px;" size="30" type="Text" name="how_many_per_page" value="$how_many_per_page" maxlength="3"></td>
</tr>
<tr>
<td class="mtdh" colspan="2"><b>Nach welcher Zeit soll der Counter als unbenutzt angezeigt werden?</b></td>
</tr>
<tr>
<td class="mtd" colspan="2">$tempoutput1</td>
</tr>
<tr>
    <td class="mtd"><input type="submit" class="button" value="Daten speichern"></td>
</tr></form>
</table>
~;
# - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# ENV Werte anzeigen
# - - - - - - - - - - - - - - - - - - - - - - - - - - - #
$|=1;

my $plocation=`whereis perl`;
$plocation =~ s/perl: //;
my @perlloc = split(" ",$plocation);



print "<b>Hier sehen Sie die n&ouml;tigen Server Variablen</b>\n";
print "<BR><BR>\n";

print "<TABLE WIDTH=100%><TR><td class=\"mtdh\">\nAllgemeine Perlinfos:<BR>";
print "<B>Betriebssystem:</B> $^O<BR>\n<B>Perl Version:</B> $]<BR>\n";

print "<B>Pfade zu Perl:</B> ";foreach(@perlloc) {if ($_=~/bin/i) {print "\"$_\"&nbsp;&nbsp;&nbsp;&nbsp;"}};print "<BR>\n";
print "<B>Pfade zu\n";
my @sendmail = `whereis sendmail`;
foreach (@sendmail) {
	s/\s+\S+\.\S+//gi;
	s/\s+$//g;
	s/l\s+/l  oder  /gi;
	print "<b>$_</b>\n";
}
print "\n";
print "</TD></TR></TABLE><BR>\n";

print qq~
<table width="100%" cellspacing="0" cellpadding="0" border="0" class="mt">
<tr>
<td class="mtdh" colspan="2"><b>Umgebungsvariablen</b></td>
</tr>
<tr>
<td class="mtdh"><b>DOCUMENT_ROOT:</b></td><td class="mtd">$ENV{'DOCUMENT_ROOT'}</td>
</tr>
<tr>
<td class="mtdh"><b>SCRIPT_FILENAME:</b></td><td class="mtd">$ENV{'SCRIPT_FILENAME'}</td>
</tr>
<tr>
<td class="mtdh"><b>SCRIPT_URI:</b></td><td class="mtd">$ENV{'SCRIPT_URI'}</td>
</tr>
<tr>
<td class="mtdh"><b>SCRIPT_URL:</b></td><td class="mtd">$ENV{'SCRIPT_URL'}</td>
</tr>
<tr>
<td class="mtdh"><b>HTTP_HOST:</b></td><td class="mtd">$ENV{'HTTP_HOST'}</td>
</tr>
<tr>
<td class="mtdh"><b>SERVER_ADMIN:</b></td><td class="mtd">$ENV{'SERVER_ADMIN'}</td>
</tr>
<tr>
<td class="mtdh"><b>SCRIPT_NAME:</b></td><td class="mtd">$ENV{'SCRIPT_NAME'}</td>
</tr>
<tr>
<td class="mtdh"><b>REDIRECT_SCRIPT_URI:</b></td><td class="mtd">$ENV{'REDIRECT_SCRIPT_URI'}</td>
</tr>
<tr>
<td class="mtdh"><b>HTTP_REFERER:</b></td><td class="mtd">$ENV{'HTTP_REFERER'}</td>
</tr>
<tr>
<td class="mtdh"><b>SERVER_NAME:</b></td><td class="mtd">$ENV{'SERVER_NAME'}</td>
</tr>
</table>

<!-- Hauptauswahlmenue -->
</td>
</tr>

<tr>
    <td class="tdt" align="center">$clink</td>
</tr>
</table>
</div>
~;
&adminfooter;
exit;
}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# System Daten speichern
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub systemdaten_save {
&cryptlogin_ok;

my $mailprog = $FORM{'mailprog'};
my $webmastermail = $FORM{'webmastermail'};
my $webmastername = $FORM{'webmastername'};
my $returnurl = $FORM{'returnurl'};
my $cssurl = $FORM{'cssurl'};
my $serviceurl = $FORM{'serviceurl'};
my $counterurl = $FORM{'counterurl'};
my $picurl = $FORM{'picurl'};
my $picpfad = $FORM{'picpfad'};
my $how_many_per_page = $FORM{'how_many_per_page'};
my $unused = $FORM{'unused'};


open(FILE,">admin/setup.pl");
flock(FILE,2);
print FILE qq~\$mailprog = '$mailprog';
\$webmastermail = '$webmastermail';
\$webmastername = "$webmastername";
\$returnurl = "$returnurl";
\$cssurl = "$cssurl";
\$serviceurl = "$serviceurl";
\$counterurl = "$counterurl";
\$picurl = "$picurl";
\$picpfad = "$picpfad";
\$how_many_per_page = $how_many_per_page;
\$unused = $unused;
\$weiterleitungszeit = 5;
\$sperrtime = 120;
1;
~;
close(FILE);
chmod 0666,"admin/setup.pl";

##############################################

&adminheader;
&topnav;
print qq~

<meta http-equiv="refresh" content="2; URL=$progname?aktion=systemdaten">
  
<div align="center">
<table width="90%" border="0" class="tabledes">
<tr>
    <td class="tdt">Systemdaten erfolgreich gespeichert</td>
</tr>
<tr>
<td class="tdc" align="center"><br><br>
<!-- Hauptauswahlmenue -->
Sie werden in 2 Sekunden automatisch weitergeleitet, wenn ihr Browser keine Weiterleitung unterst&uuml;tzt klicken Sie bitte auf 
<a href="$progname?aktion=systemdaten">diesen Link</a>
<br><br>

<!-- Hauptauswahlmenue -->
</td>
</tr>

<tr>
    <td class="tdt" align="center">$clink</td>
</tr>
</table>
</div>
~;

&adminfooter;
} 

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Admindaten
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
sub admindaten {

&cryptlogin_ok;
$sektion = "Administration Systemdaten";
&adminheader;
&topnav;

print qq~
<div align="center">
<form action="$progname" method="POST">
<input type=hidden name="aktion" value="admindaten_save">

<div align="center">
<table width="90%" border="0" class="tabledes">
<tr>
    <td class="tdt">Administratordaten &auml;ndern</td>
</tr>
<tr>
<td class="tdc" align="center">
<!-- Hauptauswahlmenue -->


<table width="100%" cellspacing="0" cellpadding="0" border="0" class="mt">
<tr>
    <td class="mtdh" colspan="2"><b>Um den Username und das Passwort zu &auml;ndern f&uuml;llen Sie bitte untenstehendes Formular aus.</b></td>
</tr>
<tr>
<td class="mtd" width="50%"><b>Alter Username</b></td>
<td class="mtd" width="50%"><input class="mb" style="width: 260px;" size="30" type="Text" name="adminuser" value="$adminuser" readonly></td>
</tr>
<tr>
<td class="mtd"><b>Altes Passwort</b></td>
<td class="mtd"><input class="mb" style="width: 260px;" size="30" type="password" name="adminpasswort" value="$adminpasswort" readonly></td>
</tr>
<tr>
    <td class="mtdh" colspan="2"><b>Neue Daten</b></td>
</tr>
<tr>
<td class="mtd" width="50%"><b>Neuer Username</b></td>
<td class="mtd" width="50%"><input class="mb" style="width: 260px;" size="30" type="Text" name="newadminuser"></td>
</tr>
<tr>
<td class="mtd"><b>Neues Passwort</b></td>
<td class="mtd"><input class="mb" style="width: 260px;" size="30" type="Text" name="newadminpasswort"></td>
</tr>

<tr>
    <td class="mtd" colspan="2"><input type="submit" class="button" value="Daten speichern"></td>
</tr></form>
</table>

<!-- Hauptauswahlmenue -->
</td>
</tr>

<tr>
    <td class="tdt" align="center">$clink</td>
</tr>
</table>
</div>
~;
&adminfooter;
exit;
}
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Admindaten speichern
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub admindaten_save {
&cryptlogin_ok;

my $adminuser= $FORM{'adminuser'};
my $adminpw= $FORM{'adminpasswort'};

my $newadminuser= $FORM{'newadminuser'};
my $newadminpasswort= $FORM{'newadminpasswort'};

open(ADPW, ">admin/adminfile.pl");
print ADPW qq~\$adminuser = "$newadminuser";
\$adminpasswort = "$newadminpasswort";
1;
~;
chmod(0666, "admin/adminfile.pl");

print "Set-Cookie: nameMulticounterlogin=$FORM{'adminuser'}; expires=Mon, 1-Jan-1999 00:00:00 GMT\n";
print "Set-Cookie: passwortMulticounterlogin=$FORM{'adminpasswort'}; expires=Mon, 1-Jan-1999 00:00:00 GMT\n";	

&datumsausgabe;

# Mail an Admin
my $mailbodyt = <<MBT;
Hallo $webmastername,

Sie erhalten diese Mail als Benachrichtigung zur der um
$datumlang durchgefuehrten Passwortaenderung.

Sollten Sie als Administrator diese Passwortaenderung nicht
selbst durchgefuehrt haben so handelt es sich vermutlich
um einen Hackversuch.

=====================================================
Die neuen Daten:

Username: $newadminuser

Passwort: $newadminpasswort

=====================================================
MBT


open(MAIL,"|$mailprog -t") or scripterror("Fehler: Kann Mailprogramm nicht oeffnen!",$!);
print MAIL "Return-Path:<$webmastermail>\n";
print MAIL "To: $webmastermail\n";
print MAIL "From: $webmastermail ($webmastername)\n";
print MAIL "Subject: Passwortaenderung bem Counterservice\n\n";
print MAIL $mailbodyt;
close MAIL;

print "Location: $progname\n\n";

exit;
} 

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Loginfehler
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
sub loginfehler {

&adminheader;

print qq~

<div align="center">
<table width="600" border="0">
<tr>
    <td class="tdt" colspan="2">Fehler festgestellt!</td>
</tr>
<tr>
<td class="tdc" colspan="2">
$fehlermeldung
</td>
</tr>
<tr>
    <td class="tdc" colspan="2" align="center"><a href="$progname">Zur&uuml;ck zur Startseite</a></td>
</tr>
<tr>
    <td class="tdt" colspan="2" align="center">$clink</td>
</tr>
</table>
</div>
~;
&adminfooter;
exit;
}
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Logininformationen OK?
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
sub login_ok {

if ($FORM{'adminuser'} eq "") {
$fehlermeldung = "Keine Administrator Username angegeben. Bitte berichtigen Sie das.";
&loginfehler;
}

if ($FORM{'adminpasswort'} eq "") {
$fehlermeldung = "Kein Administrator Passwort angegeben. Bitte berichtigen Sie das.";
&loginfehler;
}

unless (($FORM{'adminuser'} eq $adminuser) && ($FORM{'adminpasswort'} eq $adminpasswort)) {
$fehlermeldung = "Die angegebenen Logininformationen sind falsch. Bitte berichtigen Sie das.";
&loginfehler;
}

}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Verschluesselte Logininfo OK?
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
sub cryptlogin_ok {

$au = $adminuser;
$ap = $adminpasswort;

$adminu = cookie("nameMulticounter");
$adminp = cookie("passwortMulticounter");

$salt = "zn";
$crypteduser = crypt($au, $salt);
$cryptedpass = crypt($ap, $salt);

unless (($adminu eq $crypteduser) && ($adminp eq $cryptedpass)) {
$fehlermeldung = "Die angegebenen verschl&uuml;sselten Logininformationen sind falsch. Bitte berichtigen Sie das.";
&loginfehler;
}

}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Parameter und Passwortdaten OK?
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #

sub aup {
if (($FORM{'aktion'} eq "") && ($FORM{'adminuser'} eq $adminuser) && ($FORM{'adminpasswort'} eq $adminpasswort)) {
$fehlermeldung = "Es wurde nicht das richtige eingegeben oder kein g&uuml;ltiger Parameter &uuml;bermittelt. Bitte Auswahl treffen und erneut versuchen.";
&loginfehler;
}
}


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #



sub topnav {

print qq~
<div align="center">
<table width=90% cellpadding=0 border=0 class="tabledes">
<form name="jump">
<tr><td class="tdc">
<select class="field" name="menu" onChange="location=document.jump.menu.options[document.jump.menu.selectedIndex].value;" value="GO">
<option>Auswahl treffen</option>
<option>---------------------------------------</option>
<option value="$progname?aktion=hauptmenue"> - Hauptseite Administration</option>
<option>---------------------------------------</option>
<option value="$progname?aktion=systemdaten"> - Systemdaten bearbeiten</option>
<option>---------------------------------------</option>
<option value="$progname?aktion=admindaten"> - Admindaten &auml;ndern</option>
<option>---------------------------------------</option>
<option value="$progname?page=1&view=20&aktion=userverwaltung"> - Benutzerverwaltung</option>
<option>---------------------------------------</option>
<option value="$progname?aktion=newsletter"> - Newsletter senden</option>
</select>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="$serverurl/$progname"><b>Logout</b></a></td> </tr></form>
</table>
</div>
~;
}




