#!/usr/bin/perl

use CGI::Carp qw(fatalsToBrowser);
require "admin/setup.pl";


###################################################

read(STDIN, $input, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $input);
foreach $pair (@pairs) {
($name, $value) = split(/=/, $pair);
$name =~ tr/+/ /;
$name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
$value =~ tr/+/ /;
$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
$FORM{$name} = $value;
}
###################################################

$name = $FORM{'name'};
$email = $FORM{'email'};
$hpurl = $FORM{'hpurl'};
$user = $FORM{'user'};
$AGB = $FORM{'AGB'};


# Fehlerbehandlung Anfang
$fehlermeldung = "" ;
$fehler_gefunden = "" ;

$errormeldung = "<li>Das Feld Vor,- und Zuname wurde nicht ausgefllt.\n" ;

if ($name eq "") {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }

$errormeldung = "<li>Bitte geben Sie eine gltige E-Mail Adresse ein.\n" ;

if ($email !~ /^([a-zA-Z0-9][a-zA-Z_0-9-\.]*)(\@)([a-zA-Z0-9][a-zA-Z_0-9-\.]*[a-zA-Z0-9])(\.)([a-zA-Z0-9]*)$/) {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }

$errormeldung = "<li>Das Feld E-Mail wurde nicht ausgefllt.\n" ;

if ($email eq "") {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }


$errormeldung = "<li>Das Feld Homepage URL wurde nicht korrekt ausgefllt.\n" ;

if (($hpurl eq "") || ($hpurl !~ /^http:\/\//))  {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }


$errormeldung = "<li>Sorry, der Benutzername existiert schon, bitte w&auml;hlen Sie einen anderen.\n" ;

if (-e "usercounter/$user.counter") {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }

$errormeldung = "<li>Das Feld Gewschter Benutzername enth&auml;lt unerlaubte Zeichen. Es sind nur die Zeichen von a-z A-Z 0-9 erlaubt. \n" ;

if ($user !~ /^[a-zA-Z_0-9]*$/) {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }

$errormeldung = "<li>Das Feld Gewschter Benutzername wurde nicht ausgefllt.\n" ;

if ($user eq "") {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }

$errormeldung = "<li>Sie haben die Checkbox nicht angeklickt das Sie mit den Regeln einverstanden sind.\n" ;

if ($AGB eq "") {
$fehlermeldung = $fehlermeldung.$errormeldung ;
$fehler_gefunden = 1 ; }

if ($fehler_gefunden) {
&fehlerausgabe; }

# Fehlerbehandlung Ende
###################################################
&floodcheck;
&datumsausgabe;
&mailsenden; 
&bestaetigung;


sub mailsenden {

$passwort = join '', ("1".."9","a".."z","A".."Z",0..9)[map {rand 36} 0..9]; 
$passwort = substr($passwort, 0, 8);

open (MAIL, "|$mailprog -t") || die $!;
print MAIL "To: $webmastermail ($webmastername)\n";
print MAIL "From: $email ($name)\n";
print MAIL "Subject: Neue Anmeldung beim Counterservice\n\n";
print MAIL "Hallo $webmastername\n\n";
print MAIL "Es hat sich ein neuer User beim Counterservice registriert. \n";
print MAIL "Name: $name\n";
print MAIL "Benutzer: $user\n";
print MAIL "Passwort: $passwort\n";
print MAIL "E-Mail: $email\n";
print MAIL "Homepage: $hpurl\n";
print MAIL "Gesendet um: $datum\n";
close(MAIL);

open (MAIL, "|$mailprog -t") || die $!;
print MAIL "To: $email ($name)\n";
print MAIL "From: $webmastermail ($webmastername)\n";
print MAIL "Subject: Ihre Anmeldung beim Counterservice\n\n";
print MAIL "Hallo $name\n\n";
print MAIL "Hier ihre Daten zu ihrer Anmeldung:\n";
print MAIL "==================================\n";
print MAIL "Username: $user\n";
print MAIL "Passwort: $passwort\n";
print MAIL "Loggen Sie sich nun unter der URL:\n";
print MAIL "$serviceurl\n";
print MAIL "mit ihren Daten ein um die Countereinstellungen\n";
print MAIL "vorzunehmen und den Countercode zu generieren.\n";
print MAIL "==================================\n\n";
print MAIL "Viele Gruesse\n";
print MAIL "$webmastername\n";
print MAIL "Gesendet um: $datum\n";
close(MAIL);

open (FILEU, ">usercounter/$user.txt");
flock (FILEU, 2);
close FILEU;
chmod(0666, "usercounter/$user.txt");

open (FILEC, ">usercounter/$user.counter");
flock (FILEC, 2);
close FILEC;
chmod(0666, "usercounter/$user.counter");

open(FILEP,">usercounter/$user.pl");
flock(FILEP,2);
print FILEP qq~\$style = "st_001.pl";
\$onlinezeit = 15;
\$logzeit = 15;
1;
~;
close(FILE);
chmod(0666, "usercounter/$user.pl");

open (FILEM, ">>daten/member.dat");
flock (FILEM, 2);
print FILEM "$email|$user|$passwort|$name|$hpurl\n";
close FILEM;


}
###################################################
sub datumsausgabe {
@tage = ('Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag');
@monate = ('Januar','Februar','Maerz','April','Mai','Juni','Juli','August',
'September','Oktober','November','Dezember');
($sec, $min, $stunde, $mtag, $mon, $jahr, $tag, $nr_tag, $isdst) = localtime(time);
if($stunde < 10) { $stunde = "0$stunde"; }
if ($min < 10) { $min = "0$min"; }
if ($sec < 10) { $sec = "0$sec"; }
$jahr = 1900 + $jahr;
$datum = "$stunde:$min Uhr $tage[$tag], $mtag. $monate[$mon] , $jahr";
}
###################################################
sub bestaetigung {

print "Content-type: text/html\n\n";
print qq~
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
<META http-equiv="Content-Type" content="text/html">
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<meta http-equiv="refresh" content="$weiterleitungszeit; URL=$returnurl">
<link rel=stylesheet type="text/css" href="$cssurl">
<title>E-Mail erfolgreich gesendet</title>

</head>
<body>
<div align="center">
<table class="tab" cellspacing="2" cellpadding="0" border="0">
<tr>
<td colspan="2" class="th">E-Mail erfolgreich gesendet<br>
</td>
</tr>
<tr>
<td  colspan="2" class="tdf">

<b>Vielen Dank!</b><br>
Vielen Dank Herr/Frau $name, fr Ihre Anmeldung.<br><br>

Sie erhalten nun eine E-Mail mit allen n&ouml;tigen Informationen<br><br>
Sie werden in $weiterleitungszeit Sekunden weitergeleitet,
falls nicht, klicken Sie bitte untenstehen Link.<br><br>
<a class="fl" href="$returnurl">Zurck zur Hauptseite</a>

</td></tr></table></div>
</body>
</html>
~;
}

###################################################
sub fehlerausgabe {
print "Content-type: text/html\n\n";
print qq~

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
<META http-equiv="Content-Type" content="text/html">
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<link rel=stylesheet type="text/css" href="$cssurl">

<title>Fehler festgestellt</title>

</head>
<body>
<div align="center">
<table class="tab" cellspacing="2" cellpadding="0" border="0">
<tr>
<td colspan="2" class="th">Fehler festgestellt<br>
</td>
</tr>
<tr>
<td  colspan="2" class="tdf">

Beim ausfllen haben Sie folgendes vergessen:<ol> <b>$fehlermeldung</b> </ol><br>

Bitte gehen Sie 
<a class="fl" href="javascript:history.go(-1)" onMouseOver="self.status=document.referrer;return true">zurck</a> 
zum Formular und berichtigen die Angaben.

</td></tr></table></div>
</body>
</html>

~;
exit;
	}
###################################################

###################################################
sub floodcheck { 
$wartezeit = "1.0"; 
$sperrlistenlaenge = 15; 
my $IP_Nummer = $ENV{'REMOTE_ADDR'};
my $aktionszeit = time(); 
unless (-e "Zeitlimit") { 

mkdir ("Zeitlimit", 0777); 
chmod(0777, "Zeitlimit"); 
} 
open(ZEITLIMIT, "Zeitlimit/limit.dat"); 
@letzte_eintraege = <ZEITLIMIT>; 
close(ZEITLIMIT); 
foreach (@letzte_eintraege) { 
if (/^$IP_Nummer/){ 
($junk,$letzte_aktionszeit) = split(/\|!!\|/,$_); 
chomp($letzte_aktionszeit); 
last; 
} 
} # ende foreach 
$wartezeit *= $sperrtime; # zeit in sek bis neu gepostet werden darf 

if ( int(($aktionszeit - $letzte_aktionszeit) < $wartezeit)){ 

print "Content-type: text/html\n\n";
print qq~
<div align="center">
<font face="Verdana, Arial" size="5">
<b>Anti Spam Protection</b></font><br> 
<font face="Verdana, Arial" size="2" color="#ff0000"><b>
Sie mssen $wartezeit Sekunden warten bis Sie wieder eine Aktion ausfhren knnen.
</b></font>
</div>
~; 
exit; 
} 
else { 
if (unshift(@letzte_eintraege, "$IP_Nummer|!!|$aktionszeit\n") > $sperrlistenlaenge){ 
$#letzte_eintraege = $sperrlistenlaenge; 
} 

open(ZEITLIMIT, ">Zeitlimit/limit.dat"); 
print ZEITLIMIT @letzte_eintraege; 
close(ZEITLIMIT); 
} 
return 1; 
}


